Bug 37903 - EDITING: Moving object using ALT - cursor keys also moves the object behind it
Summary: EDITING: Moving object using ALT - cursor keys also moves the object behind it
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 68302 (view as bug list)
Depends on:
Blocks: Shortcuts-Accelerators Object
  Show dependency treegraph
 
Reported: 2011-06-03 17:35 UTC by gleppert
Modified: 2019-12-07 03:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
wrong-moving-behaviour-with-alt-key.odt (315.73 KB, application/x-zip)
2011-06-03 17:35 UTC, gleppert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gleppert 2011-06-03 17:35:12 UTC
Created attachment 47504 [details]
wrong-moving-behaviour-with-alt-key.odt

If you select the red object in the attached document, then you can move it
with the cursor keys. This works just fine. 
But, if you try to move it pixel-wise with the cursor keys and additional
hitting the ALT-key, it does not move the red object (which is selected) but
the background image (which is not selected).  Very strange!

System: Ubuntu 10.10, Gnome 2, LibreOffice 3.3.2 PPA, English UI, Intel 32-bit
Related bug entry in OpenOffice bugtracker: https://openoffice.org/bugzilla/show_bug.cgi?id=82732
Comment 1 Björn Michaelsen 2011-12-23 12:05:44 UTC Comment hidden (obsolete)
Comment 2 gleppert 2012-03-29 23:14:24 UTC
Problem still exists in LO 3.5.1
Comment 3 tmacalp 2013-09-10 00:51:45 UTC
*** Bug 68302 has been marked as a duplicate of this bug. ***
Comment 4 tmacalp 2013-09-10 01:22:47 UTC
I tested under 4.1.1.2 and can confirm it is still broken.

From my testing, it only seems to affect Draw objects (arrows, boxes, circles, etc...) that are anchored to other objects.  I could not reproduce this behavior with other objects (other frames and inserted pictures).
Comment 5 QA Administrators 2015-04-01 14:41:55 UTC Comment hidden (obsolete)
Comment 6 Gerry 2015-04-23 15:54:17 UTC
bug still present in LO 4.4.2.2 on Windows 7
Comment 7 QA Administrators 2016-09-20 09:32:27 UTC Comment hidden (obsolete)
Comment 8 Gerry 2016-09-22 20:09:13 UTC
Bug still present in Version: 5.1.4.2
Build-ID: 1:5.1.4-0ubuntu1
Comment 9 Xisco Faulí 2017-09-29 08:52:08 UTC Comment hidden (obsolete)
Comment 10 Gerry 2017-10-03 18:51:48 UTC
Bug is still present in:

Version: 5.4.1.2
Build ID: 1:5.4.1~rc2-0ubuntu0.16.04.1~lo0
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: de-DE (de_DE.UTF-8); Calc: single
Comment 11 Thomas Lendo 2018-10-01 19:52:24 UTC
Still reproducible.

Version: 6.2.0.0.alpha0+
Build-ID: 89a60912bba7ffd6f65ea99f4664f343c5025c95
CPU-Threads: 4; BS: Linux 4.15; UI-Render: Standard; VCL: gtk3; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: threaded
Comment 12 Kathleen 2018-11-29 09:12:27 UTC
In my test neither the red object mor the background image move.
 
Version: 6.3.0.0.alpha0+ (x64)
Build ID: 0f25a3c36f27fd51453b9a9115f236b83c143684
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-11-27_20:06:55
Locale: zh-TW (zh_TW); UI-Language: en-US
Calc: threaded
Comment 13 Kathleen 2018-11-29 09:13:03 UTC
(In reply to Kathleen from comment #12)
> In my test neither the red object nor the background image move.
>  
> Version: 6.3.0.0.alpha0+ (x64)
> Build ID: 0f25a3c36f27fd51453b9a9115f236b83c143684
> CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
> TinderBox: Win-x86_64@42, Branch:master, Time: 2018-11-27_20:06:55
> Locale: zh-TW (zh_TW); UI-Language: en-US
> Calc: threaded
Comment 14 Kathleen 2018-11-29 09:16:49 UTC
(In reply to Kathleen from comment #13)
> (In reply to Kathleen from comment #12)
> > In my test neither the red object nor the background image moved.
> >  
> > Version: 6.3.0.0.alpha0+ (x64)
> > Build ID: 0f25a3c36f27fd51453b9a9115f236b83c143684
> > CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
> > TinderBox: Win-x86_64@42, Branch:master, Time: 2018-11-27_20:06:55
> > Locale: zh-TW (zh_TW); UI-Language: en-US
> > Calc: threaded
Comment 15 Gerry 2018-11-29 21:48:04 UTC
I can still confirm this bug in LibreOffice version 6.1.2.1

Version: 6.1.2.1
Build ID: 1:6.1.2-0ubuntu1.1
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: gtk3; 
Locale: en-GB (de_DE.UTF-8); Calc: group threaded
Comment 16 Franklin Weng 2018-12-06 12:48:31 UTC
Still exists in

版本:6.3.0.0.alpha0+
組建 ID:e4c2d0bb57ab8ea8f5c400d103d01376b8140f22
CPU 執行緒:4; OS:Linux 4.15; UI 算繪:預設; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-30_21:37:10
語言地區:zh-TW (zh_TW.UTF-8); UI-Language: zh-TW
Calc: threaded
Comment 17 QA Administrators 2019-12-07 03:43:36 UTC
Dear gleppert,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug